# TdApi.ChatEventForumTopicEdited (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatEventForumTopicEdited

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventForumTopicEdited

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventForumTopicEdited

Enclosing class:
  TdApi

public static final class TdApi.ChatEventForumTopicEdited extends TdApi.ChatEventAction
A forum topic was edited.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.ForumTopicInfo`
`newTopicInfo`
New information about the topic.
`TdApi.ForumTopicInfo`
`oldTopicInfo`
Old information about the topic.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventForumTopicEdited()`
A forum topic was edited.
`ChatEventForumTopicEdited(TdApi.ForumTopicInfo oldTopicInfo, TdApi.ForumTopicInfo newTopicInfo)`
A forum topic was edited.
`ChatEventForumTopicEdited(DataInput input)`
A forum topic was edited.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldTopicInfo

public TdApi.ForumTopicInfo oldTopicInfo
Old information about the topic.

### newTopicInfo

public TdApi.ForumTopicInfo newTopicInfo
New information about the topic.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventForumTopicEdited

public ChatEventForumTopicEdited()
A forum topic was edited.

### ChatEventForumTopicEdited

public ChatEventForumTopicEdited(TdApi.ForumTopicInfo oldTopicInfo, TdApi.ForumTopicInfo newTopicInfo)
A forum topic was edited.

Parameters:
  `oldTopicInfo` - ForumTopicInfo Old information about the topic.
  `newTopicInfo` - ForumTopicInfo New information about the topic.

### ChatEventForumTopicEdited

public ChatEventForumTopicEdited(DataInput input) throws IOException
A forum topic was edited.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`